eth_getTransactionCount - Ethereum
Retrieve the number of transactions sent from a specified address using eth_getTransactionCount. Essential for tracking account activity and determining the next nonce for transactions on the Ethereum
Supported Networks
Parameters
Request
https://go.getblock.io/<ACCESS-TOKEN>/curl --location --request POST 'https://go.getblock.io/<ACCESS-TOKEN>/' \
--header 'Content-Type: application/json' \
--data-raw '{
"jsonrpc": "2.0",
"method": "eth_getTransactionCount",
"params": [
"0xc94770007dda54cF92009BFF0dE90c06F603a09f",
"latest"
],
"id": "getblock.io"
}'wscat -c wss://go.getblock.io/<ACCESS-TOKEN>/
# wait for connection and send the request body
{"jsonrpc": "2.0",
"method": "eth_getTransactionCount",
"params": ["0xc94770007dda54cF92009BFF0dE90c06F603a09f", "latest"],
"id": "getblock.io"}Response
Response Description
Use Case
Code Example
Last updated
Was this helpful?